@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");

:root {
  --primary-100: #3b82f6;
  --primary-200: #7cb1ff;
  --primary-300: #edffff;
  --accent-100: #93c5fd;
  --accent-200: #2b6799;
  --text-100: #1f2937;
  --text-200: #475161;
  --bg-100: #f2f6ff;
  --bg-200: #e8ecf5;
  --bg-300: #bfc3cc;
  --font-family: "Poppins", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--bg-100);
  font-family: var(--font-family);
  font-size: 16px;
}

.page-wrapper {
  max-width: 1920px;
  margin: auto;
}

/* INI BAGIAN NAVBARNYA */

nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  font-weight: 600;
  align-items: center;
  background-image: linear-gradient(
    to right,
    var(--primary-100),
    var(--primary-200)
  );
  padding: 10px 20px;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
  z-index: 1;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
}

.nav-logo-title {
  display: flex;
  align-items: center;
}

.nav-logo-title img {
  content: url(https://webcx003.codecreator.my.id/uc.png);
  height: 30px;
  margin-right: 10px;
}

.nav-logo-title a {
  font-size: 24px;
  color: var(--bg-200);
  text-decoration: none;
}

nav ul {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
}

nav ul li {
  margin-left: 20px;
}

nav ul li:first-child {
  margin-left: 0;
}

nav ul li a {
  color: var(--bg-200);
  font-weight: 500;
  font-size: 18px;
  text-decoration: none;
  margin-right: 40px;
  position: relative;
  transition: color 0.5s ease-in-out;
}

nav ul li a:hover {
  color: var(--text-200);
}

nav ul li a::before {
  content: "";
  position: absolute;
  bottom: -3px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--bg-200);
  transform: scaleX(0);
  transform-origin: center;
  transition: transform 0.5s ease-in-out;
}

nav ul li a:hover::before {
  transform: scaleX(1);
}

/* INI BAGIAN HEADER */

#header {
  background-color: var(--bg-100);
  color: var(--text-200);
  padding: 100px 0;
  margin-bottom: -50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-texts {
  padding: 30px;
  max-width: 60%;
  margin-right: 20px;
}

.header-texts h1 {
  width: fit-content;
  padding: 5px 10px;
  border-radius: 10px;
  background-color: var(--primary-200);
  color: var(--bg-100);
  font-size: 16px;
}

.header-texts h3 {
  font-size: 36px;
  margin-bottom: 10px;
}

.header-texts p {
  font-size: 18px;
  line-height: 1.5;
}

.header-filler {
  content: url(https://codecreator.my.id/webj2131/blooming.svg);
  max-width: 30%;
  margin-right: 100px;
}

/* INI BAGIAN CONTENT */

.content-aside {
  padding: 30px;
}

.content {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  text-align: justify;
}

.content-first {
  padding-right: 20px;
}

.content-first h2 {
  text-transform: uppercase;
  color: var(--accent-200);
  font-size: 16px;
  letter-spacing: 5px;
  margin-bottom: 15px;
}

.content-second h2 {
  text-transform: uppercase;
  color: var(--accent-200);
  font-size: 16px;
  letter-spacing: 5px;
  margin-bottom: 8px;
}

.content-second h4 {
  text-transform: uppercase;
  color: var(--text-200);
  font-size: 24px;
  letter-spacing: 5px;
  margin-bottom: 5px;
}

.content-second p:nth-child(4) {
  display: -webkit-box;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.content-second p:nth-child(5) {
  display: none;
}

aside {
  color: var(--text-200);
  margin-top: 50px;
  width: 100%;
  text-align: center;
  align-items: center;
  margin-bottom: 50px;
}

aside h2 {
  padding-top: 20px;
}

aside ul {
  padding-top: 20px;
  display: flex;
  flex-direction: row;
}

aside ul li {
  list-style: none;
  width: 100%;
  align-items: center;
}

aside ul li a {
  list-style: none;
  font-weight: 500;
  text-decoration: none;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 5px;
  padding-bottom: 5px;
  border-radius: 15px;
  border: 2px solid var(--primary-100);
  color: var(--accent-200);
}

aside ul li a:hover {
  background-color: var(--primary-200);
  border: 1px solid var(--primary-200);
  color: var(--bg-200);
  transition: 0.5s;
}

/* INI BAGIAN ARTICLE */

.articles {
  color: var(--text-200);
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 50px auto;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

td {
  padding: 20px;
  vertical-align: top;
}

.row-first td {
  border-top: 1px solid var(--accent-200);
}

.article img {
  content: url(https://source.unsplash.com/featured/600x200?blue);
  max-width: 100%;
  height: auto;
  border-radius: 10px;
  margin-bottom: 10px;
}

.article h3 {
  font-size: 1.5rem;
  margin-bottom: 10px;
}

.article p {
  font-size: 1rem;
  margin-bottom: 10px;
}

.article a {
  display: block;
  width: 100px;
  margin-top: 10px;
  border: 2px solid transparent;
  padding: 5px;
  text-align: center;
  text-decoration: none;
  color: var(--bg-200);
  background-color: var(--primary-200);
  border-radius: 10px;
}

.article a:hover {
  background-color: var(--bg-100);
  border: 2px solid var(--primary-100);
  color: var(--primary-100);
  transition: 0.5s;
}

.row-second {
  border-bottom: 1px solid var(--accent-200);
}

.article-long h3 {
  font-size: 2rem;
  margin-bottom: 20px;
}

.article-long p {
  font-size: 1.2rem;
  margin-bottom: 20px;
}

.row-second img {
  content: url(https://source.unsplash.com/featured/600x201?blue);
  max-width: 100%;
  height: auto;
  border-radius: 10px;
}

/* INI BAGIAN CREATIVITY */

/* Style untuk kontainer creativity */
.creativity {
  color: var(--text-200);
  background-color: var(--primary-200);
  border-radius: 20px;
  padding: 30px;
  margin: 0 auto;
  max-width: 95%;
}

/* Style untuk wrapper creativity */
.creativity-wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 30px;
}

/* Style untuk setiap mini */
.mini-one,
.mini-two,
.mini-three,
.mini-four {
  background-color: var(--bg-200);
  border-radius: 10px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  position: relative;
}

/* Style untuk gambar pada setiap mini */
.mini-one img,
.mini-two img,
.mini-three img,
.mini-four img {
  content: url(https://source.unsplash.com/featured/600x202?blue);
  display: block;
  height: 200px;
  width: 100%;
  object-fit: cover;
}

/* Style untuk konten pada setiap mini */
.mini-content {
  padding: 30px;
}

/* Style untuk judul pada setiap mini */
.mini-content h2 {
  font-size: 24px;
  margin-bottom: 20px;
}

/* Style untuk paragraf pada setiap mini */
.mini-content p {
  font-size: 16px;
  line-height: 1.5;
  margin-bottom: 30px;
}

/* Animasi untuk setiap mini */
.mini-one:hover,
.mini-two:hover,
.mini-three:hover,
.mini-four:hover {
  transform: translateY(-10px);
  transition: all 0.3s ease-in-out;
}

/* Animasi untuk gambar pada setiap mini */
.mini-one:hover img,
.mini-two:hover img,
.mini-three:hover img,
.mini-four:hover img {
  filter: brightness(70%);
  transition: all 0.3s ease-in-out;
}

/* Animasi untuk judul pada setiap mini */
.mini-content h2 {
  position: relative;
}

.mini-content h2::after {
  content: "";
  position: absolute;
  bottom: -10px;
  left: 0;
  width: 50%;
  height: 2px;
  background-color: #4e4e4e;
  transform: scaleX(0);
  transition: transform 0.3s ease-in-out;
}

.mini-one:hover h2::after,
.mini-two:hover h2::after,
.mini-three:hover h2::after,
.mini-four:hover h2::after {
  transform: scaleX(1);
}

/* Animasi untuk paragraf pada setiap mini */
.mini-content p {
  position: relative;
}

.mini-content p::after {
  content: "";
  position: absolute;
  bottom: -10px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #4e4e4e;
  transform: scaleX(0);
  transition: transform 0.3s ease-in-out;
}

.mini-one:hover p::after,
.mini-two:hover p::after,
.mini-three:hover p::after,
.mini-four:hover p::after {
  transform: scaleX(1);
}

/* INI BAGIAN FOOTER */

/* Style untuk semua footer */
footer {
  color: var(--bg-200);
  margin-top: 100px;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  background-image: linear-gradient(
    to right,
    var(--primary-100),
    var(--primary-200)
  );
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 60px;
}

/* Style untuk class footer-logo */
.footer-logo {
  width: 30%;
}

.footer-logo h3 {
  font-size: 28px;
  color: var(--bg-200);
  margin-bottom: 10px;
}

.footer-logo p {
  font-size: 16px;
  color: var(--bg-200);
}

/* Style untuk form footer*/
.footer-form {
  width: 30%;
  display: flex;
  flex-direction: column;
}

.footer-form p {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 10px;
}

.footer-form label {
  font-size: 16px;
  color: var(--bg-200);
  margin-bottom: 5px;
}

.footer-form input[type="text"],
.footer-form select {
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid var(--bg-200);
  border-radius: 4px;
  font-size: 16px;
  color: var(--accent-200);
}

.footer-form input[type="radio"] {
  margin-right: 5px;
}

.footer-form label[for="html"],
.footer-form label[for="css"],
.footer-form label[for="javascript"] {
  font-size: 16px;
  color: var(--bg-200);
  margin-right: 20px;
}

.footer-form button {
  margin-top: 30px;
  background-color: var(--bg-200);
  color: var(--text-100);
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

.footer-form button:hover {
  background-color: var(--primary-100);
  color: var(--bg-200);
  border: 2px solid var(--bg-200);
  transition: 0.5s;
}

/* Style untuk credit section */
.footer-credit {
  width: 30%;
  text-align: right;
}

.footer-credit h3 {
  font-size: 18px;
  color: var(--bg-200);
  margin-bottom: 10px;
}

/* Animasi button */
button {
  animation: pulse 1s infinite;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.2);
  }

  100% {
    transform: scale(1);
  }
}

/* INI BAGIAN RESPONSIVE */

@media only screen and (max-width: 640px) {
  nav {
    flex-direction: column;
    justify-content: center;
    text-align: center;
    height: 80px;
    max-width: 100%;
    padding: 10px;
    z-index: 0;
    position: relative;
  }
  

  nav ul {
    display: flex;
  }

  nav ul li {
    margin-left: -10px;
  }

  nav ul li a {
    font-size: smaller;
  }

  #header {
    max-width: 640px;
    display: flex;
    flex-direction: column;
    text-align: left;
    padding: 0px;
    margin: 0px;
  }

  .header-texts {
    max-width: 100%;
    margin-right: 0;
  }

  .header-filler {
    width: 100%;
    height: 200px;
  }

  .content{
    display: flex;
    flex-direction: column;
  }

  .content-second {
    margin-top: 30px;
  }

  aside {
    max-width: 100%;
  }

  aside ul {
    padding-top: 20px;
    display: flex;
    flex-direction: column;
  }

  aside ul li{
    margin-top: 20px;
  }

  .row-first {
    display: flex;
    flex-direction: column;
    max-width: 100%;
  }

  .article {
    max-width: 100%;
    text-align: center;
  }

  .article img{
    max-width: 100%;
  }

  .row-second {
    display: flex;
    flex-direction: column-reverse;
  }
  .footer-logo,
  .footer-form,
  .footer-credit {
    flex-basis: 100%;
  }
}
